# Interface DataSourceOptions

interface DataSourceOptions {
attributes: Attribute[];
dimensionsFiltersConfig: {};
id: number;
identifierAttribute: string;
inRange: boolean;
maxResolution: number;
minResolution: number;
name: string;
visible: boolean;
}

- Defined in src/datasource/DataSource.js:29

#####
Index

### Properties

attributes
dimensionsFiltersConfig
id
identifierAttribute
inRange
maxResolution
minResolution
name
visible

## Properties

### attributes

attributes: Attribute[]

The attributes of the data source.

- Defined in src/datasource/DataSource.js:30

### dimensionsFiltersConfig

dimensionsFiltersConfig: {}

The dimensions filters configuration, which determines dimensions supported by this data source using filters and give the corresponding field and whether they should use a static value or the one defined in the dimensions.

#### Type declaration

- Defined in src/datasource/DataSource.js:32

### id

id: number

The data source id.

- Defined in src/datasource/DataSource.js:36

### identifierAttribute

identifierAttribute: string

The name of an attribute among the attributes of the data source. The value of that attribute, in records, can be used to identify each record individually.

- Defined in src/datasource/DataSource.js:37

### inRange

inRange: boolean

A data source is considered 'in range' when it is synchronized to a map view and the resolution of that view is within the range of the `maxResolution` and `minResolution`. These 2 properties are required for the `inRange` property to be dynamic, otherwise its value is always `true` by default.

- Defined in src/datasource/DataSource.js:39

### maxResolution

maxResolution: number

Maximum resolution where the data source can be displayed or queried.

- Defined in src/datasource/DataSource.js:44

### minResolution

minResolution: number

Minimum resolution where the data source can be displayed or queried.

- Defined in src/datasource/DataSource.js:43

### name

name: string

A human-readable name for the data source.

- Defined in src/datasource/DataSource.js:45

### visible

visible: boolean

Whether the data source is visible or not, i.e. whether its is ON or OFF.

- Defined in src/datasource/DataSource.js:46

Generated using TypeDoc